Detecting Objects with Deep Learning course error

284
1
11-23-2020 08:41 PM
OleksandrStefankiv
New Contributor

Hello,

I am going through the Detecting Objects with Deep Learning course in Esri training and keep running into the same error. I am using ArcGIS Pro 2.6.3 on my Dell XPS 15 Laptop with Nvidia GTX 1050 GPU which as far as I can tell is CUDA enabled. I have also installed deep learning frameworks for ArcGIS 2.6 from here. Whenever I run the Detect Objects Using Deep Learning tool I get the error below.

I have tried running that tool using CPU by selecting CPU in the Environments menu under Processor Type.  I have also tried cloning the default python environment and adding tensorflow-mkl package as seen in other similar posts in order to run Tensorflow using CPU in case it is a GPU issue, but at no avail - I cannot seem to install that package.

Please help, would love to get that example to run.

Thank you!

Deep Learning Error.jpg

 

 

 

 

 

 

 

 

 

 

 

 

 

 

 

 

 

0 Kudos
1 Reply
XavierBustos
Esri Contributor

Hi, I have the same model GTX-1050 and also installed 2.6 compatible libraries(same site)  and it worked. The only different thing i did was i installed the  arcgis-python-api-1.8.3 version in a new environment after updating to 2.6.

In a new clone environment type:

conda install -c esri arcgis=1.8.3.

more information click the link,  look for this part

Enter the following at the prompt:

conda install -c esri arcgis=<release_number>

https://developers.arcgis.com/python/guide/install-and-set-up/

 

hope this help

0 Kudos